Upgrade to OMV 4 and VB

  • The upgrade from 3 to 4 appeared to go very well, didn't take long, the system rebooted and I could login :thumbup:


    However, I have one problem and a couple of questions;


    Like many others VirtualBox whilst installed on 3 disappears from the services list, the output of dpkg -l | grep virtualbox is;


    rc openmediavault-virtualbox 3.0.8 all VirtualBox plugin for OpenMediaVault.
    rc virtualbox 5.1.26-dfsg-2 amd64 x86 virtualization solution - base binaries


    having had problems with VB (some of my own making) under 3, should I proceed with a solution I found previously and posted here or is there something else I should do.


    I have Docker CE installed but under OMV-Extras the Docker CE does not display as enabled, do I just enable it?


    Plugins, whilst the installed column is displayed there is no radio button/notification informing you which plugins are installed.


    Thanks

    Raid is not a backup! Would you go skydiving without a parachute?

  • try to load latest omv-extras to update plugins correctly.


    some times, you need to unload omv-extras, and then load the new omv-extras .deb = OMV-Extras.org Plugin


    http://omv-extras.org/openmedi…extrasorg_latest_all4.deb

  • try to load latest omv-extras to update plugins correctly.


    some times, you need to unload omv-extras, and then load the new omv-extras .deb = OMV-Extras.org Plugin


    http://omv-extras.org/openmedi…extrasorg_latest_all4.deb

    Is this not the latest one?


    ii openmediavault-omvextrasorg 4.1.6 all OMV-Extras.org Package Repositories for OpenMediaVault


    that's from dpgk -l |grep openm

    Raid is not a backup! Would you go skydiving without a parachute?

  • Following on and running dpkg --list | grep "^rc" | cut -d " " -f 3 you get the following list;


    btrfs-tools
    dkms
    imagemagick-common
    libasn1-8-heimdal:amd64
    libbind9-90
    libcwidget3:amd64
    libdirectfb-1.2-9:amd64
    libdns100
    libdrm-nouveau2:amd64
    libdrm-radeon1:amd64
    libenca0:amd64
    libgif4:amd64
    libglu1-mesa:amd64
    libgsoap5:amd64
    libhcrypto4-heimdal:amd64
    libhdb9-heimdal:amd64
    libheimbase1-heimdal:amd64
    libhx509-5-heimdal:amd64
    libisc95
    libisccc90
    libisccfg90
    libkrb5-26-heimdal:amd64
    libllvm3.5:amd64
    liblwres90
    libmagickcore-6.q16-2:amd64
    libmagickwand-6.q16-2:amd64
    libmodplug1
    libntdb1:amd64
    libonig2:amd64
    libopencv-core2.4:amd64
    libopencv-imgproc2.4:amd64
    libpgm-5.1-0
    libpython3.4:amd64
    libpython3.4-minimal:amd64
    libqdbm14
    libroken18-heimdal:amd64
    librrd4
    libsdl1.2debian:amd64
    libsigc++-2.0-0c2a:amd64
    libsnappy1
    libsodium13:amd64
    libvncserver0:amd64
    libvpx1:amd64
    libwind0-heimdal:amd64
    libx264-142:amd64
    libxapian22
    libxmu6:amd64
    libxt6:amd64
    libzmq3:amd64
    linux-image-4.9.0-0.bpo.2-amd64
    openmediavault-virtualbox
    perl-modules
    php5-cgi
    php5-cli
    php5-common
    php5-curl
    php5-fpm
    php5-imagick
    php5-json
    php5-pam
    python3.4
    python3.4-minimal
    snmpd
    virtualbox


    While checking the status of packages using dpkg, it is possible to see a ‘rc’ state for some unused packages, this corresponds to:
    r: the package was marked for removal
    c: the configuration files are currently present in the system


    In other words: the package is not completely removed (config files are still present), but not installed anymore (and obviously not used).


    This should mean all of the above can be removed, which would mean I could install VirtualBox plugin.

    Raid is not a backup! Would you go skydiving without a parachute?

  • Ok, running dpkg --list | grep "^rc" | cut -d " " -f 3 | xargs sudo dpkg --purge has cleared the rc listings from dpkg, it's also restored the 'installed indicators' in the plugins.


    Installed VirtualBox and it's worked straight off the bat, the only option I had to do was to remove VNC to allow RDP connection from W10.


    The only option I am now not sure about is Docker, the plugins show Docker gui 4.0.1 and the Docker CE under Extras as disabled, in OMV 3 that was enabled. Well pi-hole is still running so I'll see what happens when I upgrade that and install Emby in Docker....jobs for tomorrow.


    Must say though the upgrade was straightforward, thank you.


    EDIT: Emby and an updated Pi-Hole now running in Docker, Docker CE enabled in Extras.

    Raid is not a backup! Would you go skydiving without a parachute?

    Edited once, last by geaves ().

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!